--- emacs20/wnn7egg-rpc.el.orig	2002-05-26 15:00:00 UTC
+++ emacs20/wnn7egg-rpc.el
@@ -457,6 +457,7 @@
 (defmacro wnn7rpc-get-result (&rest body)
   `(let (result)
      (comm-unpack (u) result)
+     (if (= result 4294967295) (setq result -1))
      (if (< result 0)
        (progn
 	 (comm-unpack (u) result)
@@ -538,6 +539,7 @@ error code on faiulure."
 		 env-id type)
     (wnn7rpc-get-result
       (comm-unpack (u) result)
+      (if (= result 4294967295) (setq result -1))
       (1+ result))))
 
 (defun wnn7rpc-set-autolearning-dic (env type dic-id)
@@ -1231,9 +1233,9 @@ HINSHI and FUZOKUGO are information of preceding bunse
 
 (defmacro wnn7rpc-with-write-file (filename error-handler &rest body)
   `(condition-case error
-       (with-temp-file ,filename
-	 (let ((coding-system-for-read 'no-conversion)
-	       (coding-system-for-write 'no-conversion))
+       (let ((coding-system-for-read 'no-conversion)
+	     (coding-system-for-write 'no-conversion))
+	 (with-temp-file ,filename
 	   (set-buffer-multibyte nil)
 	   ,@body))
      (file-error ,error-handler)))
